Page MenuHomePhabricator

Redesign main header / quick create / search
Closed, ResolvedPublic

Description

Task to track the upcoming simplification of the main Phabricator header. Pholio Mocks attached.

Overall goals:

  • Simplify and make main "eye logo" more friendly
  • Convert wordmark to pure text
  • Allow "eye logo" and / or "text" to be customized
  • Reduce button/icon overload
  • Move "account" related options into a single menu
  • Use "login, logout" as text with icons
  • Move search menu into searchbar
  • Widen search area
  • Favorites dropdown to replace "quick create"

Event Timeline

chad created this task.Jun 5 2016, 5:20 PM
chad updated the task description. (Show Details)Jun 5 2016, 7:41 PM
chad moved this task from Backlog to Active on the Design board.Jun 7 2016, 8:29 PM
chad triaged this task as Normal priority.Jun 12 2016, 7:56 PM
chad updated the task description. (Show Details)Jul 12 2016, 7:53 PM
chad removed a subscriber: AYST201.
chad updated the task description. (Show Details)Jul 12 2016, 7:55 PM
chad raised the priority of this task from Normal to High.Jul 14 2016, 3:23 AM
chad added a comment.Jul 14 2016, 4:24 PM

@epriestley I think my rough plan here is:

  • unset the current header-image
  • have header-image now go to the 'eye logo'
  • Remove "Phabricator wordmark", replace with text
  • create new header-text field
  • have "Phabricator" be displayed if header-text is null

Question basically here is, do we just blog post notify admins about changes, or something else?

beng removed a subscriber: beng.Jul 14 2016, 4:32 PM

We can just replace ui.custom-header with two separate options I guess and put deprecation guidance in the old option.

Do we have any evidence that installs are interested in replacing "Phabricator"? From T4214, it looked like everyone only wanted to replace the logo, although maybe I missed something. If almost no one wants to replace this, maybe no option and they can just fork (or do translation stuff in the future)?

chad added a comment.Jul 14 2016, 4:50 PM

I would want to on admin.phacility.com

Ah, fair enough. Two options it is, then.

gou1 added a subscriber: gou1.Jul 21 2016, 8:43 AM
donaldguy added a subscriber: donaldguy.EditedJul 28 2016, 4:12 AM

For the very little it is worth, my coworkers consistently refer to our instance as Phab, matching the subdomain we gave it, and currently have a mark like

so we would both like to get rid of the eye and (slightly) change the wordmark

but its your product, and I understand the desire to assert consistent branding

Edit: oh I managed to misread that as "Option two it iss" meaning only change the eye, per paragraph two of your previous comment rather than "Two options it is". My bad - leaving my comment as a second example I guess

chad added a comment.Jul 28 2016, 4:23 AM

There isn't a wordmark in the redesign, it will just be a text hyperlink (which you can customize).

hach-que added a subscriber: hach-que.EditedJul 28 2016, 4:30 AM

FYI the logo in the design / mock doesn't really look like an eye - it makes me think of a gear not an eye with a gear.

It feels less.... phabricatey.

(Though I really like the sidebar menu with projects / repositories / create new)

chad added a comment.Jul 28 2016, 4:32 AM

That isn't the logo we're planning to use. We haven't settled on a final logo (we had external designers come up with new ideas). Still testing stuff locally.

chad added a comment.Jul 28 2016, 4:33 AM

(That was my attempt at a different, less eye staring into your soul, logo).

Krinkle removed a subscriber: Krinkle.Jul 28 2016, 5:40 PM
chad updated the task description. (Show Details)Jan 12 2017, 5:50 PM
chad updated the task description. (Show Details)
chad removed subscribers: brettgaylor, danmichaelo, nevogd and 4 others.
chad closed this task as Resolved.Jan 19 2017, 6:54 PM
chad updated the task description. (Show Details)

This is complete for now, there may be more minor updates, but all top level goals have shipped.

Are we not supposed to have permission to "Edit Favorites", or is the Favorites application still being worked on?

Not intentional -- @chad, I can figure out what's going on there since it might reasonably be me and I have a local repro.

chad added a comment.Jan 19 2017, 7:03 PM

And before you file it, no, cat facts are not supported.